import { DateEditor, agDateEditorStyles, getDateEditorTemplate } from '@genesislcap/grid-pro';
/**
 * @tagname %%prefix%%-date-editor
 */
export class ZeroDateEditor extends DateEditor {
}
/**
 * The Zero Date editor
 *
 * @public
 * @remarks
 * HTML Element: \<zero-date-editor\>
 */
export const zeroAgDateEditor = ZeroDateEditor.compose({
    baseName: 'date-editor',
    styles: agDateEditorStyles,
    template: getDateEditorTemplate('zero'),
});
